LIEROLIBRE(6)

NAME

lierolibre - script to launch lierolibre

SYNOPSIS

lierolibre [inputfile [inputdir [outputfile]]]

lierolibre [-f|--file inputfile] [-d|--dir inputdir] [-w|--write outputfile] [-v|--sdlvideo videodriver] [-h|--help]

DESCRIPTION

lierolibre is an old-school earthworm action game. It is a direct fork of Liero.

Features:

    •   2 worms, 40 weapons, great playability, two game modes: Kill'em All and Game of Tag, plus AI-players without true intelligence!

    •   Extensions via a hidden F1 menu:

        •   Replays, game controller support, powerlevel palettes

    •   Fullscreen, x2, x3 and x4 scaling via the F5, F6, F7 and F8 keys

lierolibre is a script which executes the lierolibre binary from the /usr/lib/games/lierolibre directory. The script defaults to using the directory /usr/share/games/lierolibre as the inputfile parameter.

If inputfile points to a directory (which is the default case), lierolibre copies the file liero.cfg from this directory to $HOME/.lierolibre/ unless it already exists in this location. liero.cfg is a plain text file which can be modified, go wild! But don't be surprised if the game crahes ;)

OPTIONS

[-f|--file] inputfile
    Reads game variables from the given file or directory.

    If inputfile points to a directory or a file with an unknown extension, and inputdir is not set,
    OR
    if inputfile points to a directory and inputdir is set,
    the game will try to load the liero.cfg file from $HOME/.lierolibre/ first, otherwise it loads it from the directory of inputfile.

[-d|--dir] inputdir
    Reads the files LIERO.CHR LIERO.SND NAMES.DAT from the given directory. If not set, the game uses the directory of inputfile instead.

[-w|--write] outputfile
    Writes all game variables to a plain text file.

-v|--sdlvideo videodriver
    Sets the SDL_VIDEODRIVER environment variable.

-h|--help
    Print a brief help overview.

EXAMPLES

lierolibre mymod/LIERO.EXE
    Reads game variables from a (potentially) modded EXE file, and reads game data from files in mymod/.

lierolibre -f mymod/LIERO.EXE -d /usr/share/games/lierolibre -w mymod_liero.cfg
    Reads game variables from a (potentially) modded EXE file and writes them to a plain text config file (and starts the game).

lierolibre mymod_liero.cfg mydata
    Reads game variables from a custom plain text config file, and reads the game data from another directory.

AUTHORS

This manual page was written by Martin Erik Werner <martinerikwerner@gmail.com>

HISTORY

Joosa Reikkinen "MetsnElimet"
created the original Liero game and graphics.

Erik Lindroos "Gliptic", with help from Mario Carbajal "basro"
re-created Liero as OpenLiero, which later became the official version of Liero.

Martin Erik Werner "arand"
created lierolibre as a direct fork from Liero (OpenLiero).

"sea"
created the replacement sounds used in lierolibre.

SEE ALSO

lierolibre-extractgfx(6) lierolibre-packgfx(6)
lierolibre-extractsounds(6) lierolibre-packsounds(6)
lierolibre-extractlev(6) lierolibre-packlev(6)